clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
run-clang-tidy Namespace Reference

## Functions
def | find_compilation_database
def | get_tidy_invocation
def | apply_fixes
def | run_tidy
def | main

## Function Documentation

def run-clang-tidy.apply_fixes | ( |  | args,
|  |  | tmpdir
| ) |  |

    Calls clang-apply-fixes on a given directory. Deletes the dir when done.

Definition at line 84 of file run-clang-tidy.py.

Referenced by main().

def run-clang-tidy.find_compilation_database | ( |  | path | ) |

    Adjusts the directory until a compilation database is found.

Definition at line 50 of file run-clang-tidy.py.

References get_tidy_invocation().

Referenced by main().

def run-clang-tidy.get_tidy_invocation | ( |  | f,
|  |  | clang_tidy_binary,
|  |  | checks,
|  |  | tmpdir,
|  |  | build_path,
|  |  | header_filter
| ) |  |

    Gets a command line for clang-tidy.

Definition at line 62 of file run-clang-tidy.py.

Referenced by find_compilation_database(), and run_tidy().

def run-clang-tidy.main | ( |  | ) |

Definition at line 105 of file run-clang-tidy.py.

References apply_fixes(), and find_compilation_database().

def run-clang-tidy.run_tidy | ( |  | args,
|  |  | tmpdir,
|  |  | build_path,
|  |  | queue
| ) |  |

    Takes filenames out of queue and runs clang-tidy on them.

Definition at line 94 of file run-clang-tidy.py.

References get_tidy_invocation().